mbedtls_aes_context Struct Reference

The AES context-type definition. More...

`#include <aes.h>`

## Data Fields

int | nr
uint32_t * | rk
uint32_t | buf [68]

## Detailed Description

The AES context-type definition.

Definition at line 86 of file aes.h.

## Field Documentation

## buf

uint32_t mbedtls_aes_context::buf[68]

Unaligned data buffer. This buffer can hold 32 extra Bytes, which can be used for one of the following purposes:

- Alignment if VIA padlock is used.
- Simplifying key expansion in the 256-bit case by generating an extra round key.

Definition at line 90 of file aes.h.

## nr

int mbedtls_aes_context::nr

The number of rounds.

Definition at line 88 of file aes.h.

## rk

uint32_t* mbedtls_aes_context::rk

AES round keys.

Definition at line 89 of file aes.h.

The documentation for this struct was generated from the following file:

- aes.h